Description

Implement CLI commands for manipulating the following ADC registers:
e Sync Out Source (0x115)
e Average Decimation Rate (0x2b7)
¢ Decimation Sample Size (0x2b4)

Use the commands to set the following values for the PXIE Toroid ADC -
e Sync Out Source = 0x00
¢ Average Decimation Rate = 0x0000
¢ Decimation Sample Size = 0x4000

Also, with the existing commands -

¢ Sync Delay = 0x0000

History

#1 - 09/28/2016 10:52 AM - John Diamond

Also, we we're at it we should add the following commands to and update the pxint startup script to use them in place of 'm' -

¢ Raw Data Decimation Rate (0x204)

e A32 address pointer (0xc... ??? - not sure why this is set as the DAQPool should be setting it)

#2 - 09/28/2016 01:34 PM - John Diamond

Strike Window Size multiplier, it's configurable via vmeintintWindowSet(..).

#3 - 09/28/2016 05:01 PM - John Diamond
- % Done changed from 0 to 40

Moved ADC CLI commands from VMEIntCommands.cpp to VMEIntCommandsADC.cpp.
Implemented vmeintADCAvgDecRateSet(..) and vmeintADCRawAvgDecRateSet(..).

#4 - 09/30/2016 10:23 AM - John Diamond
- Category set to Deploy & Config

- Status changed from New to Assigned

- Assignee set to John Diamond

- % Done changed from 40 to 80

Created the following CLI commands:
vmeintADCSyncOutSourceSet adc_id, source_str
vmeintADCAvgDecRateSet adc_id, rate

vmeintADCRawDecRateSet adc_id, rate

vmeintADCAvgDecSizeSet adc_id, size
Configured the PXIE toroid ADCs (id: 0) as follows:

addMirrTorAdc 0, 0x0000 ;
vmeintADCBaselineAvgSizeSet 0, O
vmeintADCSyncDelaySet 0, 0
vmeintADCAvgDecRateSet 0, O
vmeintADCRawDecRateSet 0, 16
vmeintADCAvgDecSizeSet 0, 0x4000
vmeintADCSyncOutSourceSet 0, "sync_in"

(Startup script and new code are staged for testing at PXIE on Monday)
